petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSectionSymCreateLabel

Create a section symmetry that assigns one symmetry to each stratum of a label

### Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode PetscSectionSymCreateLabel(MPI_Comm comm, DMLabel label, PetscSectionSym *sym)

Collective

### Input Parameters

| comm | - the MPI communicator for the new symmetry
| label | - the label defining the strata

### Output Parameters

sym -the section symmetries

### See Also

PetscSectionSymCreate(), PetscSectionSetSym(), PetscSectionGetSym(), PetscSectionSymLabelSetStratum(), PetscSectionGetPointSyms()

### Level

developer

### Location

src/dm/label/dmlabel.c
Index of all DMLABEL routines
Table of Contents for all manual pages
Index of all manual pages